<app-baselayout title="Partner RM List">
  <!-- Form Breadcrumb -->
  <breadcrumb [items]='breadcrumb'></breadcrumb>

  <div class="container-fluid">

    <!-- Data Table -->
    <div class="table-responsive">
      <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table w-100" style="white-space: nowrap;">
        <thead class="thead-light">
          <tr>
            <th scope="col">#</th>
            <th scope="col">Name</th>
            <th scope="col">Email ID</th>
            <th scope="col">Contact No</th>
            <th scope="col">RM Code</th>
            <th scope="col">Customer Count</th>
            <th scope="col">Customer List</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let cdata of partnerList; let i = index">
            <th>{{i+1}}</th>
            <td>{{cdata.rm_name}}</td>
            <td>{{cdata.rm_email_id}}</td>
            <td>{{cdata.rm_mobile_no}}</td>
            <td>{{cdata.rm_code}}</td>
            <td>{{cdata.customer_count}}</td>
            <td>
              <button type="button" class="btn btn-success tblDel-btn"
                [routerLink]="['/partner','rm',paramPartner_id,'customer',cdata.rm_master_id]">
                <img src="https://img.icons8.com/ios-glyphs/30/000000/visible--v1.png" />
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>



  </div>
  <div class="backdrop" *ngIf="loader"
  style="position: fixed; top: 0; right: 0;bottom: 0; left: 0; display: flex; align-items: center;justify-content: center;z-index: 199999;background: hsl(0deg 0% 0% / 40%);">
  <!-- <div class="loader"></div> -->
  <img src="assets/images/Loader.gif" style="max-width: 80px;">
</div>
</app-baselayout>